<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBillMasterAgentIncentivesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bill_master_agent_incentives', function (Blueprint $table) {
            $table->id();
            $table->integer('incentive_id')->nullable();
            $table->string('agent_id', 10)->nullable();
            $table->string('type', 20)->nullable();
            $table->string('ref', 100)->nullable();
            $table->dateTime('date')->nullable();
            $table->string('trans_type', 100)->nullable();
            $table->longText('details')->nullable();
            $table->double('amount')->nullable();
            $table->string('currency', 10)->nullable();
            $table->string('conversion_rate', 100)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bill_master_agent_incentives');
    }
}
